%define version 5.30.30
%define realver 5.3030

Name: grepmail
Version: %version
Release: alt1

Summary: Search mailboxes for a particular email
License: GPL
Group: File tools

URL: http://grepmail.sourceforge.net/
Source0: %name-%realver.tar.bz2
Source1: nnir-%name.el
Source2: vm-%name.el

BuildArch: noarch

# Added by buildreq2 on Tue May 03 2005
BuildRequires: perl-DateManip perl-Mail-Mbox-MessageParser perl-TimeDate perl-devel

%description
Grepmail searches a normal, gzip'd, bzip'd, or tzip'd mailbox
for a given regular expression, and returns those emails that
match it. Piped input is allowed, and date and size restrictions
are supported, as are searches using logical operators.

%prep
%setup -q -n %name-%realver
%__rm -rfv inc/Test
%__install -p -m644 %SOURCE1 %SOURCE2 .

# clarify dependencies
%__perl -pi.orig -e 's/\beval\s+(["'\''])require\s+([\w:]+);?\1/require $2/g' grepmail
! diff -u grepmail{.orig,}

%build
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=302703
# Force TZ=UTC during build to avoid test suite failure with other timezone settings.
export TZ=UTC
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CHANGES README *.el
%_bindir/%name
%_man1dir/%name.*

%changelog
* Tue May 03 2005 Alexey Tourbin <at@altlinux.ru> 5.30.30-alt1
- 5.30 -> 5.3030
- use system Test::More for building (remove inc/Test)
- clarified dependencies (eliminated eval constructs)
- updated vm-grepmail.el

* Mon Aug 09 2004 Alexey Tourbin <at@altlinux.ru> 5.30-alt1
- 5.23 -> 5.30

* Tue May 18 2004 Alexey Tourbin <at@altlinux.ru> 5.23-alt1
- 4.80 -> 5.23 (now uses Mail::Mbox::MessageParser)
- vm-%name.el updated (1.4 -> 1.12)
- BuildArch: noarch

* Thu Oct 31 2002 Dmitry V. Levin <ldv@altlinux.org> 4.80-alt1
- Updated to 4.80.
- Enforce build of FastReader.
- Built with perl-5.8.

* Fri Oct 11 2002 Dmitry V. Levin <ldv@altlinux.org> 4.72-alt1
- 4.72
- Added anonymize_mailbox.

* Fri Dec 07 2001 Dmitry V. Levin <ldv@alt-linux.org> 4.60-alt1
- 4.60
- Added grepmail plugins for VM and Gnus.

* Mon Sep 10 2001 Dmitry V. Levin <ldv@altlinux.ru> 4.51-alt1
- 4.51

* Mon Jun 25 2001 Dmitry V. Levin <ldv@altlinux.ru> 4.48-alt1
- 4.48
- Rebuilt with perl-5.6.1

* Thu Feb 22 2001 Dmitry V. Levin <ldv@fandra.org> 4.46-ipl1
- 4.46

* Wed Jan 17 2001 Dmitry V. Levin <ldv@fandra.org> 4.45-ipl1
- 4.45
- RE adaptions.

* Fri Apr 28 2000 Dmitry V. Levin <ldv@fandra.org>
- 4.23

* Wed Nov 10 1999 Dmitry V. Levin <ldv@fandra.org>
- initial revision
